Bug 1417189 - [gnome-shell] evince behaves erroneously in a GNOME on Wayland guest session
Summary: [gnome-shell] evince behaves erroneously in a GNOME on Wayland guest session
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2017-01-27 13:14 UTC by Joachim Frieben
Modified: 2018-11-30 21:35 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 21:35:03 UTC


Attachments (Terms of Use)
Screenshot of evince after opening a sample PDF document (165.99 KB, image/png)
2017-01-27 13:15 UTC, Joachim Frieben
no flags Details
Screenshot of evince after picking a zoom factor of 100% for a sample PDF document (37.68 KB, image/png)
2017-01-27 13:17 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2017-01-27 13:14:27 UTC
Description of problem:
When opening a PDF document with evince in a GNOME on Wayland guest session, then the indicated scaling value is shown to be 0% which is wrong. Moreover, buttons "+" and "-" have no effect. Finally, when choosing the scaling factor e.g. to 100% in the pull-down menu, then the document window is empty, and the scaling factor is shown to be -nan%.

Version-Release number of selected component (if applicable):
gnome-shell-3.22.2-2.fc25

How reproducible:
Always

Steps to Reproduce:
1. Open a sample PDF document.
2. Check indicated scaling factor.
3. Try "+" and "-" buttons.
4. Pick scaling 100% in the pull-down menu.

Actual results:
Symptoms described above appear one after another.

Expected results:
Evince behaves as expected.

Additional info:
1. Evince behaves correctly in a GNOME on Wayland host session.
2. Evince behaves correctly in a GNOME on Xorg guest session.

Comment 1 Joachim Frieben 2017-01-27 13:15 UTC
Created attachment 1245142 [details]
Screenshot of evince after opening a sample PDF document

Comment 2 Joachim Frieben 2017-01-27 13:17 UTC
Created attachment 1245145 [details]
Screenshot of evince after picking a zoom factor of 100% for a sample PDF document

Comment 3 Christian Stadelmann 2017-01-28 11:23:58 UTC
All of that works fine for me with several different documents with evince-3.22.1-3.fc25.x86_64 and gnome-shell-3.22.2-2.fc25.x86_64, gtk3-3.22.7-1.fc25.x86_64, poppler-glib-0.45.0-2.fc25.x86_64.

Is this behavior special to your PDF document or is it present for all documents?

If this bug affects just one PDF document (or a series of PDF documents created by the same application), Can you please upload one of these documents?

If this bug affects all your PDF documents, can you please provide more info on your system? What's your graphics driver? What's your version(s) of the packages I listed above? Have you tried reinstalling those packages? Do you get any log messages from evince (try `$ evince` from command line, make sure to terminate all other evince instances before)? Does this bug also happen with `$ GDK_BACKEND=x11 evince`?

Comment 4 Joachim Frieben 2017-01-28 22:23:26 UTC
(In reply to Christian Stadelmann from comment #3)
I was talking about a fully updated Fedora 25 system, thus including the same versions that you enumerate. Are you aware that I was talking about a virtual guest session, thus launching evince in a Fedora 25 GNOME on Wayland session running inside GNOME Boxes? In that case, the video driver is usually the virtual QXL driver, and that is indeed the one that I am using.
This issue is quite general and affects any PDF document that I have tried so far.

Comment 5 Christian Stadelmann 2017-01-29 22:23:01 UTC
(In reply to Joachim Frieben from comment #4)
> I was talking about a fully updated Fedora 25 system, thus including the
> same versions that you enumerate. Are you aware that I was talking about a
> virtual guest session, thus launching evince in a Fedora 25 GNOME on Wayland
> session running inside GNOME Boxes? In that case, the video driver is
> usually the virtual QXL driver, and that is indeed the one that I am using.

Ok, that explains the different behavior. I'm running Fedora 25 with GNOME on wayland on Intel hardware, not inside libvirt/QXL.

> This issue is quite general and affects any PDF document that I have tried
> so far.

Comment 6 Matthew Krupcale 2017-07-27 00:20:46 UTC
I also observe this behavior for Evince but with AMD graphics hardware. See [1] for more details. I reported it against GNOME mutter since I did not observe this behavior when using NVIDIA graphics on a GNOME Wayland session. I can confirm that I'm still seeing this issue on F26 with AMD graphics and

gnome-shell-3.24.3-1.fc26.x86_64
mutter-3.24.4-1.fc26.x86_64

[1] https://bugzilla.gnome.org/show_bug.cgi?id=777114

Comment 7 Fedora End Of Life 2017-11-16 18:55:52 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:39:14 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Joachim Frieben 2018-03-06 09:06:57 UTC
Issue is still present for all of Fedora 26, 27, and 28.

Comment 10 Fedora End Of Life 2018-05-03 08:06:35 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Matthew Krupcale 2018-05-03 16:19:53 UTC
The issue I mentioned previously affecting AMD graphics hardware[1] on GNOME 3.22 seems to have been resolved after upgrading to F28. As I state in that bug report, I'm not entirely sure which component(s) were responsible for the fix on my hardware.

I can't comment on this issue regarding GNOME on Wayland guest session using libvirt/QXL, although comment #9 indicates that it may still be an issue on F28.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=777114

Comment 12 Ben Cotton 2018-11-27 15:44:05 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2018-11-30 21:35:03 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.